package com.lz.modules.luck.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.luck.entity.LuckRecord;
import com.lz.modules.luck.entity.LuckRecordReq;

import java.util.List;

/**
* <p>
* 中奖记录 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-21
*/
public interface LuckRecordService extends IService<LuckRecord> {



	LuckRecord selectLuckRecordById(Long id);


	Long insertLuckRecord(LuckRecord luckRecord);


	int updateLuckRecordById(LuckRecord luckRecord);


	int updateCoverLuckRecordById(LuckRecord luckRecord);


	int deleteLuckRecordById(Long id);


	LuckRecord selectLuckRecordByLuckIdAndStaffId(Long luckId, Long id);

	List<LuckRecord> selectLuckRecordByLuckId(String luckId);

	void updateLuckRecordByReqWithId(LuckRecordReq luckRecordReq);

	List<LuckRecord> selectGoodLuckRecordByLuckId(String valueOf);
	//获取中奖人数
	int selectCountGoodLuckRecordByLuckId(Long luckId);
	//获取为未奖人数
	List<LuckRecord> selectNoGoodLuckRecordByLuckId(String valueOf);
	//获取参与人数
	int selectCountRecordByLuckId(Long luckId);
}